For the complete documentation index, see llms.txt. This page is also available as Markdown.

List pre-order calls

get
Authorizations
AuthorizationstringRequired

Omnitron staff token. Format: Token <token>. Validated against Omnitron active_user API — user must have is_staff: true.

Query parameters
pageinteger · min: 1Optional

Page number (1-based)

Default: 1
limitinteger · min: 1 · max: 200Optional

Number of results per page

Default: 10
sortstringOptional

Field to sort by. Prefix with - for descending (e.g. -created_date)

uuidstring · uuidOptional
pre_order_idintegerOptional
promotion_idintegerOptional
Responses
200

Paginated pre-order calls

application/json
countintegerOptional
nextstring · uri · nullableOptional
previousstring · uri · nullableOptional
get/admin/pre-order-calls/
GET /api/v1/admin/pre-order-calls/ HTTP/1.1
Host: your-bankaci-instance.example.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "id": 1,
      "pre_order": {
        "id": 1,
        "basket_id": 1,
        "basket_modified_date": "2026-01-01T00:00:00.000Z",
        "tokenized_card": 1,
        "bin_6": "text",
        "fingerprint": "text",
        "currency": "aed",
        "created_date": "2026-01-01T00:00:00.000Z",
        "modified_date": "2026-01-01T00:00:00.000Z"
      },
      "promotion": {
        "id": 1,
        "created_date": "2026-01-01T00:00:00.000Z",
        "modified_date": "2026-01-01T00:00:00.000Z",
        "title": "text",
        "status": "ACTIVE",
        "currency": "aed",
        "per_card_limit": 1,
        "reset_schedule": "0 0 * * *",
        "bin_6_list": [
          "512345",
          "411111"
        ],
        "priority": 0,
        "basket_offer_ids": [
          "123",
          "456"
        ],
        "start_date": "2026-01-01T00:00:00.000Z",
        "end_date": "2026-01-01T00:00:00.000Z",
        "usable_with_voucher_code": false
      },
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "created_date": "2026-01-01T00:00:00.000Z",
      "modified_date": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated

Was this helpful?